commit:     b9f084e6d4cd170e635c5dfcd188fbd59d93f5b9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 31 12:57:48 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 31 13:06:02 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9f084e6

dev-python/pytest-regressions: Bump to 2.4.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-regressions/Manifest             |  1 +
 .../pytest-regressions-2.4.3.ebuild                | 62 ++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/pytest-regressions/Manifest 
b/dev-python/pytest-regressions/Manifest
index b856b6ba3495..9a098b95ec93 100644
--- a/dev-python/pytest-regressions/Manifest
+++ b/dev-python/pytest-regressions/Manifest
@@ -1 +1,2 @@
 DIST pytest-regressions-2.4.2.tar.gz 111030 BLAKE2B 
4c1d3ce9a210b6156e046b91688aec6ecab53d4719b5b556cdf6773a6af891352f7f213259140fdb7234f2528dbad5bf5c4ed43431aee94bfd373dd1839c1231
 SHA512 
f5abcc09da7a466e446329737d4926d3c7c9ac274e1087e6f746fe263b4cfd1b0f4b8870eea3d22b1209a0d5ead7b7169e700d10f3f29bb978e12a33511b1f51
+DIST pytest-regressions-2.4.3.tar.gz 111049 BLAKE2B 
a9b11ec715c49f63c5972bad6332715b22efd363c70f067c4c077ae0e9af64178edb98aa36cd4d24287db4b2705367c18c09795b7830a09e2007c7da8a078964
 SHA512 
4264e2d791f6235b5de57a45550f8d0d0a6d3f7f10b40095698670daa8848005bc44c3cb2c11d793b58eb8b27e3910042c63fd4c0bd573ed57615d570e9e7d8b

diff --git a/dev-python/pytest-regressions/pytest-regressions-2.4.3.ebuild 
b/dev-python/pytest-regressions/pytest-regressions-2.4.3.ebuild
new file mode 100644
index 000000000000..2656b1b8d726
--- /dev/null
+++ b/dev-python/pytest-regressions/pytest-regressions-2.4.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Easy to use fixtures to write regression tests"
+HOMEPAGE="
+       https://github.com/ESSS/pytest-regressions/
+       https://pypi.org/project/pytest-regressions/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       dev-python/pytest[${PYTHON_USEDEP}]
+       dev-python/pytest-datadir[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/sphinx-rtd-theme
+
+python_test() {
+       local EPYTEST_DESELECT=()
+       local EPYTEST_IGNORE=()
+       if ! has_version "dev-python/matplotlib[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/test_image_regression.py::test_image_regression
+               )
+       fi
+       if ! has_version "dev-python/numpy[${PYTHON_USEDEP}]"; then
+               EPYTEST_IGNORE+=(
+                       tests/test_ndarrays_regression.py
+               )
+       fi
+       if ! has_version "dev-python/pandas[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/test_filenames.py::test_foo
+                       tests/test_filenames.py::TestClass::test_foo
+                       
tests/test_filenames.py::TestClassWithIgnoredName::test_foo
+               )
+               EPYTEST_IGNORE+=(
+                       tests/test_dataframe_regression.py
+                       tests/test_num_regression.py
+               )
+       fi
+       if ! has_version "dev-python/pillow[${PYTHON_USEDEP}]"; then
+               EPYTEST_DESELECT+=(
+                       tests/test_image_regression.py
+               )
+       fi
+
+       epytest
+}

Reply via email to